{{/* SPDX-FileCopyrightText: 2023–2024 BWI GmbH */}}
{{/* SPDX-License-Identifier: Apache-2.0 */}}
{{- if .Values.networkpolicies.enabled }}
{{- if .Values.postgresql.enabled -}}
{{- $component := "postgresql" -}}
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: {{ .Release.Name }}-{{ $component }}-allow-ingress-synapse
  namespace: {{ .Release.Namespace }}
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/name: {{ $component }}
  policyTypes:
    - Ingress
  ingress:
    - from:
      - podSelector:
          matchLabels:
            app.kubernetes.io/component: synapse
{{- if .Values.mas.enabled }}
      - podSelector:
          matchLabels:
            app.kubernetes.io/component: matrix-authentication-service
{{- end }}
{{- range $worker, $config := .Values.workers }}
  {{- if $config.enabled }}
{{- $name := $worker | replace "_" "-" }}            
      - podSelector:
          matchLabels:
            app.kubernetes.io/component: {{ $name }}
  {{- end }}
{{- end }}
      ports:
      - protocol: TCP
        port: 5432
{{- end -}}
{{- end }}
